Bug 197262 - [NEW PORT] graphics/readosm
Summary: [NEW PORT] graphics/readosm
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-02-02 05:25 UTC by Loïc Bartoletti
Modified: 2015-02-24 14:05 UTC (History)
1 user (show)

See Also:


Attachments
readosm port (3.33 KB, patch)
2015-02-02 05:25 UTC, Loïc Bartoletti
no flags Details | Diff
readosm port - corrections (3.33 KB, patch)
2015-02-17 19:55 UTC, Loïc Bartoletti
no flags Details | Diff
readosm port - corrections (3.27 KB, patch)
2015-02-17 20:06 UTC, Loïc Bartoletti
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Loïc Bartoletti 2015-02-02 05:25:58 UTC
Created attachment 152466 [details]
readosm port

ReadOSM is an open source library to extract valid data from within an Open Street Map input file. Such OSM files come in two different formats:

    files identified by the .osm suffix simply are plain XML files.
    files identified by the .osm.pbf suffix does containt the same identical data, but adopting the Google's Protocol Buffer serialization format and thus requiring much less storage space.


The ReadOSM design goals are:

    to be simple and lightweight
    to be stable, robust and efficient
    to be easily and universally portable
    making the whole parsing process of both .osm or .osm.pbf files completely transparent from the application own perspective.

ReadOSM is structurally simple and quite light-weight (typically about 20K of object code, stripped).

ReadOSM is licensed under the MPL tri-license terms; you are free to choose the best-fit license between:

    the MPL 1.1
    the GPL v2.0 or any subsequent version
    the LGPL v2.1 or any subsequent version


https://www.gaia-gis.it/fossil/readosm/index


Poudriere:
http://download.tuxfamily.org/bartcoding/ports/readosm/
Comment 1 Dmitry Marakasov freebsd_committer 2015-02-02 20:20:08 UTC
Categorization doesn't look well to me. Stuff related to OSM data processing is historically in astro (libosmpbf, osmosis, osmium etc.) so I propose to place a port there. First category in CATEGORIES should be real category, so I suggest CATEGORIES=astro geography devel.

Also, you don't need CONFIGURE_ARGS line - it doesn't do a thing, flags are correctly passed via environment.
Comment 2 Dmitry Marakasov freebsd_committer 2015-02-16 16:48:20 UTC
ping
Comment 3 Loïc Bartoletti 2015-02-17 19:55:04 UTC
Created attachment 153118 [details]
readosm port - corrections

With corrections:

New poudrieres logs:
http://download.tuxfamily.org/bartcoding/ports/readosm/
Comment 4 Loïc Bartoletti 2015-02-17 20:06:09 UTC
Created attachment 153119 [details]
readosm port - corrections
Comment 5 commit-hook freebsd_committer 2015-02-24 14:05:48 UTC
A commit references this bug:

Author: amdmi3
Date: Tue Feb 24 14:04:57 UTC 2015
New revision: 379799
URL: https://svnweb.freebsd.org/changeset/ports/379799

Log:
  ReadOSM is an open source library to extract valid data from within an Open
  Street Map input file. Such OSM files come in two different formats:

  * files identified by the .osm suffix simply are plain XML files.
  * files identified by the .osm.pbf suffix does containt the same identical
  data, but adopting the Google's Protocol Buffer serialization format and thus
  requiring much less storage space.

  WWW: https://www.gaia-gis.it/fossil/readosm/index

  PR:		197262
  Submitted by:	coder@tuxfamily.org

Changes:
  head/astro/Makefile
  head/astro/readosm/
  head/astro/readosm/Makefile
  head/astro/readosm/distinfo
  head/astro/readosm/pkg-descr
  head/astro/readosm/pkg-plist